AIGateway
Update a endpoint by name
Update a endpoint by name (change endpoint name, endpoint type, model name, model provider, or model config)
PATCH
/
api
/
aigateway
/
v1
/
endpoints
/
{endpointName}
Update a endpoint by name
curl --request PATCH \
--url https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName} \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"endpointName": "completions-1",
"endpointType": "llm/v1/completions",
"modelConfig": {
"openai_api_key": "58utu49034093nc9cc9n"
},
"modelName": "gpt-3.5",
"modelProvider": "openai"
}
'import requests
url = "https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}"
payload = {
"endpointName": "completions-1",
"endpointType": "llm/v1/completions",
"modelConfig": { "openai_api_key": "58utu49034093nc9cc9n" },
"modelName": "gpt-3.5",
"modelProvider": "openai"
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
endpointName: 'completions-1',
endpointType: 'llm/v1/completions',
modelConfig: {openai_api_key: '58utu49034093nc9cc9n'},
modelName: 'gpt-3.5',
modelProvider: 'openai'
})
};
fetch('https://mycluster.domino.tech/api/aigateway/v1/endpoints/{endpointName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"creationDate": "2022-04-23T18:25:43.511Z",
"endpointId": "62604702b7e5d347dbe7a909",
"endpointName": "completions",
"endpointType": "llm/v1/completions",
"modelConfig": {
"openai_api_key": "58utu49034093nc9cc9n"
},
"modelName": "gpt-4",
"modelProvider": "openai"
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Name of the endpoint to update details for
Body
application/json
Updated endpoint details
Valid name of the endpoint
Example:
"completions-1"
Type of the endpoint
Example:
"llm/v1/completions"
Configuration for the model
Show child attributes
Show child attributes
Example:
{ "openai_api_key": "58utu49034093nc9cc9n" }
Name of the model
Example:
"gpt-3.5"
Provider of the model
Example:
"openai"
Response
Success
ISO 8601 formatted time of when the Endpoint was created
Example:
"2022-04-23T18:25:43.511Z"
ID of the endpoint
Example:
"62604702b7e5d347dbe7a909"
Valid name of the endpoint
Example:
"completions"
Type of the endpoint
Example:
"llm/v1/completions"
Configuration for the model
Show child attributes
Show child attributes
Example:
{ "openai_api_key": "58utu49034093nc9cc9n" }
Name of the model
Example:
"gpt-4"
Provider of the model
Example:
"openai"
Last modified on August 18, 2026
Related topics
Update permissions for a endpoint by nameUpdate a namespaceUpdates a NamedEntity object.Update filesystemWas this page helpful?
⌘I
Update a endpoint by name
